com.brightcove.cast

## Class DefaultSessionManagerListener

- java.lang.Object
- - com.brightcove.cast.DefaultSessionManagerListener

- All Implemented Interfaces:
    com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>

      public abstract class DefaultSessionManagerListener
      extends java.lang.Object
      implements com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>

  Helper abstract `SessionManagerListener` to allow selective overrides. All methods are implemented as no-ops.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSessionManagerListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSessionEnded(com.google.android.gms.cast.framework.Session castSession, int i)`
    `void` | `onSessionEnding(com.google.android.gms.cast.framework.Session castSession)`
    `void` | `onSessionResumed(com.google.android.gms.cast.framework.Session castSession, boolean b)`
    `void` | `onSessionResumeFailed(com.google.android.gms.cast.framework.Session castSession, int i)`
    `void` | `onSessionResuming(com.google.android.gms.cast.framework.Session castSession, java.lang.String s)`
    `void` | `onSessionStarted(com.google.android.gms.cast.framework.Session castSession, java.lang.String s)`
    `void` | `onSessionStartFailed(com.google.android.gms.cast.framework.Session castSession, int i)`
    `void` | `onSessionStarting(com.google.android.gms.cast.framework.Session castSession)`
    `void` | `onSessionSuspended(com.google.android.gms.cast.framework.Session castSession, int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSessionManagerListener

          public DefaultSessionManagerListener()

  - ### Method Detail

    - #### onSessionStarting

          public void onSessionStarting(com.google.android.gms.cast.framework.Session castSession)

      Specified by:
        `onSessionStarting` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionStarted

          public void onSessionStarted(com.google.android.gms.cast.framework.Session castSession,
                                       java.lang.String s)

      Specified by:
        `onSessionStarted` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionStartFailed

          public void onSessionStartFailed(com.google.android.gms.cast.framework.Session castSession,
                                           int i)

      Specified by:
        `onSessionStartFailed` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionEnding

          public void onSessionEnding(com.google.android.gms.cast.framework.Session castSession)

      Specified by:
        `onSessionEnding` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionEnded

          public void onSessionEnded(com.google.android.gms.cast.framework.Session castSession,
                                     int i)

      Specified by:
        `onSessionEnded` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionResuming

          public void onSessionResuming(com.google.android.gms.cast.framework.Session castSession,
                                        java.lang.String s)

      Specified by:
        `onSessionResuming` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionResumed

          public void onSessionResumed(com.google.android.gms.cast.framework.Session castSession,
                                       boolean b)

      Specified by:
        `onSessionResumed` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionResumeFailed

          public void onSessionResumeFailed(com.google.android.gms.cast.framework.Session castSession,
                                            int i)

      Specified by:
        `onSessionResumeFailed` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`

    - #### onSessionSuspended

          public void onSessionSuspended(com.google.android.gms.cast.framework.Session castSession,
                                         int i)

      Specified by:
        `onSessionSuspended` in interface `com.google.android.gms.cast.framework.SessionManagerListener<com.google.android.gms.cast.framework.Session>`